Subject: Re: [EGIT PATCH] Support linked resources

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 26 Jul 2008 16:59:12 -0500

Robin Rosenberg <[email-masked]> wrote:
> torsdagen den 24 juli 2008 05.34.06 skrev Richie Vos:
> > I have a project that outputs to a linked directory (for example the
> > project is in /projects/foo and the project outputs to /projects/bar).
...
> I'd be inclined to prefer ignoring any non-plain resource, always. Linked
> resources are either absolute or relative to a variable. Other than that 
> there is an analogy to symbolic links. Git manages the link, not its
> content (unless handled elsewhere). The link in this case is in the
> .project file and thus managed there.
> 
> EGit could still managed the resource, but not via the link, but rather at
> the place it is located, iff that happens to be in a project managed by Egit.

My last day-job used a project layout in the filesystem of:

	GIT_REPO/
	  .git/
      .gitignore
      _eclipse_projects/
          com.sekret.foo/.project
          com.sekret.bar/.project
      foo/
          com/sekret/foo/Foo.java
      bar/
          com/sekret/bar/Bar.java

The two .project files contained links called "src" to "foo" and
"bar" respectively.  The _eclipse_projects folder is ignored by
.gitignore, and the .project files were actually generated on the
fly by our non-Eclipse based buildsystem.

Consequently I wanted egit to be able to manage the stuff inside of
a linked folder, so long as it mapped onto the same repository that
the project mapped onto.  Without that the "src" folder contents
wouldn't be available to egit, and egit would be more-or-less
useless on this sort of layout.

-- 
Shawn.